Module org.firebirdsql.jaybird
Package org.firebirdsql.jdbc

# Interface FirebirdParameterMetaData

All Superinterfaces:
  `ParameterMetaData`, `Wrapper`

All Known Implementing Classes:
  `FBParameterMetaData`

public interface FirebirdParameterMetaData extends ParameterMetaData
Firebird extension to the `ParameterMetaData` interface.

## Field Summary

### Fields inherited from interface java.sql.ParameterMetaData

`parameterModeIn, parameterModeInOut, parameterModeOut, parameterModeUnknown, parameterNoNulls, parameterNullable, parameterNullableUnknown`

## Method Summary

### Methods inherited from interface java.sql.ParameterMetaData

`getParameterClassName, getParameterCount, getParameterMode, getParameterType, getParameterTypeName, getPrecision, getScale, isNullable, isSigned`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`